<div ng-controller="EstadoActualOrdenes" ng-cloak ng-init="init()">
    <nav class="navbar navbar-inverse none" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" ng-init="Navbar1 = true" ng-click="Navbar1 = !Navbar1">
                    <span class="sr-only">
                        Toggle navigation
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                </button>
                <a class="navbar-brand" href="javascript:void(0)">
                <img alt="Usuario" height="100%" src="files/images/favicon.png">
                </a>
            </div>
            <div class="collapse navbar-collapse" ng-class="!Navbar1 && 'in'">
                <ul class="nav navbar-nav navbar-left">
                    <li ng-click="goToInicio()" ng-show="showMenu(&quot;Inicio&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Inicio</a>
                    </li>
                    <li ng-click="goToMapa()" ng-show="showMenu(&quot;Mapa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mapa</a>
                    </li>
                    <li ng-show="showMenu(&quot;Ordenes&quot;)" uib-dropdown class="dropdown  ">
                        <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" uib-dropdown-toggle>Ordenes <span class="caret"></span></a>
                        <ul class="dropdown-menu" role="menu" uib-dropdown-menu>
                            <li class="">
                                <a href="" ng-click="goToBuscarOrdenes()" ng-show="showMenu(&quot;Buscar&quot;)">Buscar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToCargarOrdenes()" ng-show="showMenu(&quot;Cargar&quot;)">Cargar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToDiistribucionOrdenes()" ng-show="showMenu(&quot;Distribución&quot;)">Distribucion</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToEstadoActualOrdenes()" ng-show="showMenu(&quot;Estado Actual&quot;)">Estado Actual</a>
                            </li>
                        </ul>
                    </li>
                    <li ng-click="goToUsuarios()" ng-show="showMenu(&quot;Usuarios&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Usuarios</a>
                    </li>
                    <li ng-click="goToEmpresa()" ng-show="showMenu(&quot;Empresa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Empresa</a>
                    </li>
                    <li ng-click="goToMiCuenta()" ng-show="showMenu(&quot;Mi cuenta&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mi Cuenta</a>
                    </li>
                </ul>
                <button ng-click="salir(true)" ng-show="showMenu(&quot;Salir&quot;)" class="btn btn-danger navbar-btn navbar-right"
                type="button">
                    <span class="ion ion-log-out" style="color: black;">
                    </span>
                    Salir
                </button>
            </div>
        </div>
    </nav>
    <table class="table table-bordered">
        <tr>
            <td class="info" width="150">
                Fecha
            </td>
            <td class="info">
                <input type="date" value="{{fechaAsignacionData}}" placeholder="Enter text" ng-change="init(fechaAsignacionModel)"
                ng-model="fechaAsignacionModel" name="">
                <button ng-click="init(fechaAsignacionModel)" class="btn btn-default" type="button">
                    <span class="ion ion-loop" style="color: blue;">
                    </span>
                </button>
            </td>
            <td class="info">
                <button ng-click="descargar()" class="btn btn-default" type="button">
                    <span class="ion ion-archive" style="color: black;">
                    </span>
                    Descargar Datos Excel
                </button>
            </td>
            <td class="info">
                Total órdenes {{ordenesTotal}}
            </td>
        </tr>
    </table>
    <table class="table table-bordered">
        <tr>
            <td width="60%">
                <table class="table table-bordered table-hover table-condensed" id="dataTable">
                    <tr class="info">
                        <th class=" ">
                            N° Orden
                        </th>
                        <th class=" ">
                            Tipo
                        </th>
                        <th class=" ">
                            Operador
                        </th>
                        <th class=" " ng-repeat="item in orders[0].columnNames">
                            {{item}}
                        </th>
                        <th class=" ">
                            Comentarios
                        </th>
                        <th class=" ">
                            Estado
                        </th>
                    </tr>
                    <tr class="{{order.color}}" ng-dblclick="setCenterMap(order.mark, 17)" ng-click="setCenterMap(order.mark)"
                    ng-repeat="order in orders">
                        <td class="default">
                            <!-- bootstraptablecol -->
                            <h5>
                                {{order.codigo}}
                            </h5>
                            <!-- bootstraptablecol -->
                            <h6 ng-hide="config.config.pageComponents.hideMaps">
                                {{order.msgNoPosGPS}}
                            </h6>
                        </td>
                        <td>
                            <!-- bootstraptablecol -->
                            <h5>
                                {{order.tipoServicio}}/{{order.subTipoServicio}}
                            </h5>
                        </td>
                        <td>
                            <!-- bootstraptablecol -->
                            <h5>
                                {{order.tecnico}}
                            </h5>
                        </td>
                        <td ng-repeat="item in order.columnValues">
                            {{item}}
                        </td>
                        <td>
                            <!-- bootstraptablecol -->
                            <h5>
                                {{order.comentarioCierre}}
                            </h5>
                        </td>
                        <td>
                            <!-- bootstraptablecol -->
                            <h5>
                                {{order.estadoTexto}}
                            </h5>
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <uib-accordion close-others="false">
                    <uib-accordion-group is-open="true">
                        <uib-accordion-heading>
                            <span>
                                Gráfico de Ordenes Por Estado
                            </span>
                        </uib-accordion-heading>
                        <div>
                            <canvas id="pie" class="chart chart-pie" data="polarData.data" labels="polarData.labels"
                            colours="polarData.colours" legend="true">
                            </canvas>
                        </div>
                    </uib-accordion-group>
                    <uib-accordion-group is-open="true">
                        <uib-accordion-heading>
                            <span>
                                Gráfico de Ordenes Por Técnico
                            </span>
                        </uib-accordion-heading>
                        <div>
                            <canvas id="line" class="chart chart-bar" data="chartData.data" labels="chartData.labels"
                            legend="true" colours="chartData.colours" series="chartData.series" height=250>
                            </canvas>
                        </div>
                    </uib-accordion-group>
                    <uib-accordion-group is-open="true" ng-hide="config.config.pageComponents.hideMaps">
                        <uib-accordion-heading>
                            <span>
                                Mapa de Ubicaciones
                            </span>
                        </uib-accordion-heading>
                        <div class="aio-google-map mymap2">
                            <ui-gmap-google-map center="mapCtrl" zoom="mapCtrl.zoom" pan="false">
                                <ui-gmap-marker coords="mark.mark" idKey="mark.mark.id" options="mark.mark.options"
                                ng-repeat="mark in orders">
                                    <ui-gmap-window coords="{latitude: '40.1451', longitude: '-99.6680'}">
                                        <div>
                                            {{mark.mark.title}}
                                        </div>
                                    </ui-gmap-window>
                                </ui-gmap-marker>
                            </ui-gmap-google-map>
                        </div>
                    </uib-accordion-group>
                </uib-accordion>
            </td>
        </tr>
    </table>
</div>